uuid-1.2.3: For creating, comparing, parsing and printing Universally Unique Identifiers

Portability | portable
Stability | experimental
Maintainer | aslatter@gmail.com
Safe Haskell | None

Data.UUID.V1

Description

RFC 4122 Version 1 UUID state machine.

Synopsis

- nextUUID :: IO (Maybe UUID)

# Documentation

nextUUID :: IO (Maybe UUID)Source

Returns a new UUID derived from the local hardware MAC address and the current system time. Is generated according to the Version 1 UUID sepcified in RFC 4122.

Returns nothing if the hardware MAC address could not be discovered.